View Issue Details

IDProjectCategoryView StatusLast Update
0004559unrealircdpublic2016-01-31 20:50
ReportervNode1Assigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.0.1 
Target VersionFixed in Version4.0.2 
Summary0004559: Linking
Descriptionit currently allows you to link two networks with the same name, on a testing net we linked irc.*.*
and named services irc.*.* (totally accidently tho)

the link was allowed. it didn't cause major bugs locally but third party servers wanting to /rehash irc.server.name experienced issues
Steps To ReproduceSet up a "services" using the same link name, create a link block with appropriate info on both sides, server merges.
TagsNo tags attached.
3rd party modules

Activities

vNode1

2016-01-28 04:45

reporter   ~0019077

<<09:37:07>> irc.anti***.ovh (6) 001
 <<09:37:07>> `-irc.anti***.ovh(7)
 <<09:37:07>> End of /MAP
identical names.

syzop

2016-01-30 11:12

administrator   ~0019083

I'm having some difficulty reproducing this. My link gets rejected as it should.

Are all 3 servers on UnrealIRCd 4? Or some not? If not, could you specify which?
I tried one or two combinations but no luck. Probably something simple I'm overlooking...

vNode1

2016-01-31 04:14

reporter   ~0019084

Any type of server that does not require a ID

such as services, I know it sounds minor but it's easy to make a mistake when you're doing multiple configs

The issue occurred when one of my clients accidently named "services.theirserver" to "irc.theirserver" it allowed the link.

syzop

2016-01-31 20:49

administrator   ~0019085

Last edited: 2016-01-31 20:50

View 4 revisions

Oh ok I got it, you need to link to the server with the same name (not to another server on the net). And indeed not use a SID (or not the same anyway), as a SID collision would already be handled earlier.

Yeah it's minor but it's silly & confusing. Fixed. Thanks for the report!

[unreal40 f7dd3ce] Fix minor linking bug which permitted a server to link in which used me::name, IF you had a link block for it. Reported by vNode1 (0004559).
https://github.com/unrealircd/unrealircd/commit/f7dd3cedd892f94663e751a659f68aa3c1895814

Issue History

Date Modified Username Field Change
2016-01-28 04:44 vNode1 New Issue
2016-01-28 04:45 vNode1 Note Added: 0019077
2016-01-30 11:12 syzop Note Added: 0019083
2016-01-30 11:12 syzop Assigned To => syzop
2016-01-30 11:12 syzop Status new => feedback
2016-01-31 04:14 vNode1 Note Added: 0019084
2016-01-31 20:49 syzop Note Added: 0019085
2016-01-31 20:49 syzop Status feedback => resolved
2016-01-31 20:49 syzop Fixed in Version => 4.0.2
2016-01-31 20:49 syzop Resolution open => fixed
2016-01-31 20:50 syzop Note Edited: 0019085 View Revisions
2016-01-31 20:50 syzop Note Edited: 0019085 View Revisions
2016-01-31 20:50 syzop Note Edited: 0019085 View Revisions